.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the YSort.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_YSort:

YSort
=====

**Inherits:** :ref:`Node2D<class_node2d>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Sort all child nodes based on their Y positions.

Member Variables
----------------

  .. _class_YSort_sort_enabled:

- :ref:`bool<class_bool>` **sort_enabled**


Description
-----------

Sort all child nodes based on their Y positions. The child node must inherit from :ref:`CanvasItem<class_canvasitem>` for it to be sorted. Nodes that have a higher Y position will be drawn later, so they will appear on top of nodes that have a lower Y position.

